<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.WashStationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.WashStation">
        <result column="station_id" property="stationId" />
        <result column="station_name" property="stationName" />
        <result column="address" property="address" />
        <result column="station_tel" property="stationTel" />
        <result column="service_tel" property="serviceTel" />
        <result column="station_type" property="stationType" />
        <result column="station_status" property="stationStatus" />
        <result column="parking_num" property="parkingNum" />
        <result column="parking_fee" property="parkingFee" />
        <result column="location" property="location" />
        <result column="site_guide" property="siteGuide" />
        <result column="pictures" property="pictures" />
        <result column="business_hours" property="businessHours" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        station_id, station_name, address, station_tel, service_tel, station_type, station_status, parking_num, parking_fee, location, site_guide, pictures, business_hours, remark
    </sql>

</mapper>
